## mycompiler.mytype
Class BaseType

    java.lang.Object
      mycompiler.mytype.Type
          mycompiler.mytype.BaseType

Direct Known Subclasses:
  BooleanType, CharacterType, IntegerType

    public abstract class BaseType

extends Type

Field Summary

Fields inherited from class mycompiler.mytype.Type
`hamaDebug, name, used`

Constructor Summary
`BaseType()`
`BaseType(java.lang.String name)`

Method Summary
`abstract BaseType` `clone()` Author: J�rg B�uerle
`boolean` `equals(java.lang.Object obj)` Author: J�rg B�uerle

Methods inherited from class mycompiler.mytype.Type
`get_codegen_Type, get_Name, get_UsedId, getName, set_UsedId, toString, Type2Key, Type2String`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseType

    public BaseType()

### BaseType

    public BaseType(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Author: J�rg B�uerle

  Overrides:
    `equals` in class `Type`
  Parameters:
    `Object` -
  Returns:

### clone

    public abstract BaseType clone()

  Description copied from class: `Type`
  Author: J�rg B�uerle

  Overrides:
    `clone` in class `Type`